import { BASE_URL, TIMEOUT } from "./config.js";
//  引入请求库
import Request from "@/utils/luch-request/index.js";
const http = new Request({
	baseURL: BASE_URL,
	timeout: TIMEOUT
});

//  请求拦截器
http.interceptors.request.use(
	(config)=>{
		
	},
	//  失败拦截
	(error)=>{
		return Promise.reject(error)
	}
)

//  响应拦截器
http.interceptors.response.use(
	// 响应成功拦截
	(response)=>{
		
	},
	//  响应失败拦截
	(err)=>{
		console.log(err)
	}
	
)